## PhoshOsdWindow

PhoshOsdWindow — A OSD Window

## Functions

GtkWidget * | phosh_osd_window_new ()

## Properties

char * | connector | Read / Write
char * | icon-name | Read / Write
char * | label | Read / Write
double | level | Read / Write
double | max-level | Read / Write

## Types and Values

#define | PHOSH_TYPE_OSD_WINDOW
| PhoshOsdWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ╰── PhoshOsdWindow

## Implemented Interfaces

PhoshOsdWindow implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshOsdWindow displays contents fed via the OSD (on screen display) DBus interface.

## Functions

### phosh_osd_window_new ()

    GtkWidget *
    phosh_osd_window_new (char *connector,
                          char *label,
                          char *icon_name,
                          double level,
                          double max_level);

## Types and Values

### PHOSH_TYPE_OSD_WINDOW

    #define PHOSH_TYPE_OSD_WINDOW (phosh_osd_window_get_type ())

### PhoshOsdWindow

    typedef struct _PhoshOsdWindow PhoshOsdWindow;

## Property Details

### The `“connector”` property

      “connector”                char *

Connector to use for osd display.

Owner: PhoshOsdWindow

Flags: Read / Write

Default value: NULL

### The `“icon-name”` property

      “icon-name”                char *

Name of icon to use on osd.

Owner: PhoshOsdWindow

Flags: Read / Write

Default value: NULL

### The `“label”` property

      “label”                    char *

Label to show on osd.

Owner: PhoshOsdWindow

Flags: Read / Write

Default value: NULL

### The `“level”` property

      “level”                    double

Level of bar to display on osd.

Owner: PhoshOsdWindow

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“max-level”` property

      “max-level”                double

Maximum level of bar to display on osd.

Owner: PhoshOsdWindow

Flags: Read / Write

Allowed values: >= 0

Default value: 0